using DevExpress.XtraEditors;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using LFP_Manager.DataStructure;

namespace LFP_Manager.Forms
{
    public partial class FmxInformation : DevExpress.XtraEditors.XtraForm
    {
        #region VARIABLES
        private int sID;
        private CommConfig Config;
        private CsDeviceData.DeviceModuleData SystemData;
        #endregion

        #region CONSTRUCTORS
        public FmxInformation(int SystemID, CommConfig aConfig, ref CsDeviceData.DeviceModuleData mData)
        {
            InitializeComponent();

            sID = SystemID;
            Config = aConfig;
            SystemData = mData;
        }
        #endregion

        #region TIMER EVENT
        private void TmrDisplay_Tick(object sender, EventArgs e)
        {
            DisplayDeviceID();
        }
        #endregion

        #region DISPLAY FUNCTION
        private void DisplayDeviceID()
        {
            string tmp = "";
            tmp += string.Format("Vendor Name : {0}\r\n", SystemData.Information.VendorName);
            tmp += string.Format("Product Code : {0}\r\n", SystemData.Information.ProductCode);
            tmp += string.Format("Major Minor Revision : {0}\r\n", SystemData.Information.MajorMinorRev);
            tmp += string.Format("Model Name : {0}\r\n", SystemData.Information.ModelName);
            tmp += string.Format("Hardware Serial Number : {0}\r\n", SystemData.Information.HwSerialNumber);
            tmp += string.Format("Hardware Product Revision : {0}\r\n", SystemData.Information.HwProductRev);
            tmp += string.Format("Manufacturing date : {0}\r\n", SystemData.Information.ManufacturingDate);
            tmp += string.Format("SW Product Revision : {0}\r\n", SystemData.Information.SwProductRev);

            LbDeviceId.Text = tmp;
        }
        #endregion

        #region BUTTON EVENT
        private void BtnClose_Click(object sender, EventArgs e)
        {
            Close();
        }
        #endregion
    }
}